EvLoop::nowUpdate
EvLoop::prepare
EvLoop
PHP Manual

# EvLoop::periodic

Creates EvPeriodic watcher object associated with the current event loop instance

### Description

final public EvPeriodic EvLoop::periodic ( double `$offset` , double `$interval` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Creates EvPeriodic watcher object associated with the current event loop instance

### Parameters

All parameters have the same maening as for EvPeriodic::__construct

### Return Values

Returns EvPeriodic object on success.

### See Also

- EvPeriodic::__construct